<html>
  <head>
    <title>Moa bootstrap configuration for {{ object.cluster }}</title>
  </head>
  <body>
    <h1>Moa bootstrap configuration for {{ object.cluster }}</h1>
    <p>This page explains how to start using your new Moa managed
      database cluster, and provides you with the initial password
      for the <code>postgres</code> user.</p>
    <p>You will need a special root certificate to connect to your
      database.  You can download it here:</p>
    <blockquote><p><code><a href="ca.crt">ca.crt</a></code></p></blockquote>
    <p>The initial password for the <code>postgres</code> user in
      your database is:</p>
    <blockquote><p><code>{{ object.postgres_password }}</code></p></blockquote>
    <p>Note that this is just the initial password: if you have changed
      the password for the <code>postgres</code> user, then this one may
      not work.</p>
    <p>Your database is available at
      {% for name in object.clusterfqdn_set.all() %}
      {% if loop.last and loop.length > 1 %}and {% endif %}
      <code>{{ name.fqdn }}</code>
      {%- if not loop.last and loop.length > 2 %},{% endif %}
      {%- endfor %}.
      To connect to it, you can use:</p>
    <blockquote><p>
	<code>psql "sslmode=verify-full sslrootcert=ca.crt
	  host={{ object.clusterfqdn_set.all() | map(attribute='fqdn') |
	          join(',') }}
	  keepalives_idle=30 keepalives_interval=30
	  user=postgres password={{ object.postgres_password }}"</code>
    </p></blockquote>
  </body>
</html>
